View Issue Details

IDProjectCategoryView StatusLast Update
0034336LazarusIDEpublic2018-10-01 14:58
ReporterHans LuijtenAssigned ToDmitry Boyarintsev 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformMacOSmacOSOS Version10.14
Product Version1.8.5 (SVN)Product Buildr59167 
Target VersionFixed in Version 
Summary0034336: Object Inspector - String Editor - Pressing Enter when entering text closes the editor
DescriptionIn the Object Inspector, certain property fields hold a stringthat can be edited in the Object Inspector or, by pressing the "..." button, in a small text editor.
In this editor text can be entered on multiple lines.
However, in this SVN version (r59167), pressing enter actually submits the changes and closes the form.
Steps To ReproduceStart IDE, Create a New Project with a form, try to edit the Hint property by using the editor and enter a multi-line hint ...
Additional InformationLazarus 2.1.0 r59167 FPC 3.0.4 x86_64-darwin-cocoa (alpha)
TagsNo tags attached.
Fixed in Revision59183
LazTarget-
WidgetsetCocoa
Attached Files

Activities

Bart Broersma

2018-09-25 23:12

developer   ~0111017

Last edited: 2018-09-25 23:17

View 3 revisions

Revision 59032 is OK for me (Windows), so it should not be difficult to bisect the guilty revision.
OTOH it may be widgetset problem.

[Edit]
Revision 59167 is OK on Windoes, so it seems to be a widgetset problem.

Hans Luijten

2018-09-26 10:15

reporter   ~0111022

It appears to be a Cocoa issue - with most IDE issues, I test them under Linux and Windows as well, just to make sure it's widget set related or not. :-)

Just tested r59167 on Ubuntu, Windows 10 and macOS (Cocoa). Problem persists.
I did notice that when SVN went from Lazarus 1.9.0 to 2.1.0 quite a few little issues popped up.

Hans Luijten

2018-09-26 11:15

reporter   ~0111027

Tested, based on a forum request, scrolling other components; TListbox, TMemo and TTreeview seem to scroll correctly. Changing the system settings (when the scrollbar appears: Automatically, When Scrolling, Always) did not have an impact. Not sure if this is useful info.

Dmitry Boyarintsev

2018-09-29 17:55

developer   ~0111081

please test and close if ok

Hans Luijten

2018-09-30 11:47

reporter   ~0111104

Lazarus 2.1.0 r59189 FPC 3.0.4 x86_64-darwin-cocoa (alpha)

Tested it by updating from SVN; Problem remains.
Created a clean virtual machine with Mojave and etc.
Downloaded and build from SVN; Problem remains.
So I thought this may be related to the strange IDE behavior on Mojave and decided to test High Sierra as well.
I found this issue existed with macOS 10.13 as well (after reporting this bug), so I tested that as well. And here the problem still remains the same there as well.

Hans Luijten

2018-09-30 11:49

reporter   ~0111105

p.s. not sure if this is related, but in general, windows in the IDE do not close correctly - after closing the window they remain visible for quite a while. The become "ghosted" - ei. do not respond to clicking. This happens under High Sierra and Mojave.

Dmitry Boyarintsev

2018-10-01 04:25

developer   ~0111141

cannot confirm "ghosted" windows behaviour.
The issue was fixed awhile ago.

Hans Luijten

2018-10-01 10:25

reporter   ~0111148

SVN r59206;

High Sierra seems to have windows that cannot be closed any more. Just loaded a package and cannot close the window. I just did a re-build of the IDE where Lazarus asks for confirmation, after clicking Yes, the dialog never disappears (until the IDE restarts).
After the rebuild this no longer seems to happen. (I always do a clean all build from the command line after updating from SVN: make LCL_PLATFORM=cocoa CPU_TARGET=x86_64 clean all)

Mojave:
Windows content (for example the "Messages" window) does not refresh. But I'm sure it's related to similar issues I have seen with working on forms (can't select controls, etc), scrolling through code (scrollbar is moving but editor is not refreshing, but clicking it shows that the code has actually changed), and the object inspector. Being unable to close a window did not occur (yet) with SVN 59206.

Dmitry Boyarintsev

2018-10-01 14:52

developer   ~0111157

what you're describing is an issue already reported: https://bugs.freepascal.org/view.php?id=34335

Does "String Editor" work for you?

Hans Luijten

2018-10-01 14:58

reporter   ~0111159

"String Editor" in r59206 works! :) Cool!

Just thought I'd mention the other part, in case it was related somehow.

Issue History

Date Modified Username Field Change
2018-09-25 22:55 Hans Luijten New Issue
2018-09-25 23:12 Bart Broersma Note Added: 0111017
2018-09-25 23:13 Bart Broersma Note Edited: 0111017 View Revisions
2018-09-25 23:17 Bart Broersma Note Edited: 0111017 View Revisions
2018-09-26 10:15 Hans Luijten Note Added: 0111022
2018-09-26 11:15 Hans Luijten Note Added: 0111027
2018-09-29 14:09 Bart Broersma Assigned To => Dmitry Boyarintsev
2018-09-29 14:09 Bart Broersma Status new => assigned
2018-09-29 17:55 Dmitry Boyarintsev Fixed in Revision => 59183
2018-09-29 17:55 Dmitry Boyarintsev LazTarget => -
2018-09-29 17:55 Dmitry Boyarintsev Note Added: 0111081
2018-09-29 17:55 Dmitry Boyarintsev Status assigned => resolved
2018-09-29 17:55 Dmitry Boyarintsev Resolution open => fixed
2018-09-30 11:47 Hans Luijten Note Added: 0111104
2018-09-30 11:49 Hans Luijten Note Added: 0111105
2018-09-30 15:48 Hans Luijten Status resolved => assigned
2018-09-30 15:48 Hans Luijten Resolution fixed => reopened
2018-10-01 04:25 Dmitry Boyarintsev Note Added: 0111141
2018-10-01 10:25 Hans Luijten Note Added: 0111148
2018-10-01 14:52 Dmitry Boyarintsev Note Added: 0111157
2018-10-01 14:52 Dmitry Boyarintsev Status assigned => resolved
2018-10-01 14:52 Dmitry Boyarintsev Resolution reopened => fixed
2018-10-01 14:58 Hans Luijten Note Added: 0111159
2018-10-01 14:58 Hans Luijten Status resolved => closed